package org.uclic.maui.analyse;

import java.awt.*;
import java.awt.event.*;
import java.util.EventObject;
import java.util.Iterator;
import java.util.Vector;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import javax.swing.tree.*;
import org.uclic.maui.*;
import org.uclic.algebra.*;
import org.uclic.algebra.property.*;

/**
 * Dialog for the automatic suggestion mechanism.
 *
 * @author Jeremy Gow
 * @version 0.4
 */
public class PropertyEditor extends JDialog implements ActionListener {
    
    private MAUI          maui;
    private PropertyTerm  property;
    private TreeModel     treemodel;
    private JTextField    text;
    private TableCellEditor editor;

    private final static String SET      = "Set";
    private final static String CANCEL   = "Cancel";
    private final static String TITLE    = "Property Editor";
    private final static String PROPERTY = "Property: ";
    private final static String SELECTED = "Selected: ";
    private final static String TREE     = "Term Tree";
    private final static String TIP      = "Click to edit";

    public PropertyEditor(MAUI m) {
	super(m, TITLE);
	maui = m;
    }


}
