package org.uclic.maui.plugin;

import java.awt.Component;

/**
 * Allows plugins access to the design data in MAUI.
 *
 */
public interface MAUIBridge {

    public FUIDesign getDesign();
    public boolean isSelected();
    public void statusMessage(String message);

    public void fireMauiDesignChanged();
    public void fireMauiTitleChanged();
    public void fireMauiModelChanged();
    public void fireMauiElementRenamed();
    public void fireMauiSpecificationChanged();
    
}
