package org.uclic.util;

import java.io.*;
import org.jdom.*;
import org.jdom.input.*;

public class Validator {

    public Validator(String fileName) {

	try{
	    File file = new File(fileName);
	    SAXBuilder builder = new SAXBuilder(true);
	    Document xml = builder.build(new FileInputStream(file));
	    System.out.println("XML conforms to DTD.");
	} catch (FileNotFoundException e2) {
	    System.out.println("File not found.");
	} catch (IOException e1) {
	    System.out.println("I/O Error.");
	} catch (JDOMException e3) {
	    System.out.println(e3.getMessage());
	}
    }
	
    public static void main(String[] args) {
	if (args.length > 0) {
	    new Validator(args[0]);
	}
    }
    
}

