package org.uclic.algebra.event;

import java.util.NoSuchElementException;

/**
 * An iterator that returns the individual events of a event product
 * one by one.  Powers are returned whole, i.e. not decomposed into
 * individual events.
 *
 * @version 0.3
 * @author Jeremy Gow
 */
public interface ProductIterator {

    public boolean hasNext();
    public EventTerm next() throws NoSuchElementException;
}
