package org.uclic.algebra.state;

import org.uclic.algebra.EventAlgebra;

/**
 * An individual state in an event algebra.
 *
 * @version 0.4
 * @author Jeremy Gow
 */
public abstract class AtomicState extends StateTerm {
   
    public AtomicState(EventAlgebra a) {
	super(a);
    }

    public int length() {
	return 1;
    }
}

