package org.uclic.fui;

/**
 * Element names for FUI XML.
 *
 * @version 0.4
 */
public class FUI_XML {

    // XML Elements
    public final static String ROOT_ELEM = "fui";
    public final static String NAME_ELEM = "name";

    public final static String FORM_ELEM    = "form";
    public final static String SKIN_ELEM    = "skin";
    public final static String SIGN_ELEM    = "sign";
    public final static String DISPLAY_ELEM = "display";

    public final static String FUNC_ELEM       = "function";
    public final static String EVENT_ELEM      = "event";
    public final static String STATE_ELEM      = "state";
    public final static String INITIAL_ELEM    = "initial";
    public final static String CHANGE_ELEM     = "change";
    public final static String NOCHANGE_ELEM   = "nochange";
    public final static String SUPER_DEF_ELEM  = "superstate";
    public final static String SUPER_REF_ELEM  = "super";

    public final static String SPEC_ELEM = "specification";
    public final static String PROP_ELEM = "property";
    // Properties
    public final static String NOT_ELEM     = "not";
    public final static String UNDO_ELEM    = "undo";
    public final static String EQUALS_ELEM  = "equals";
    // States
    public final static String SSUM_ELEM    = "orstate";
    public final static String SPROD_ELEM   = "to";
    public final static String SUPER_ELEM   = "insuper";
    public final static String UISTATE_ELEM = "in";
    // Events
    public final static String ESUM_ELEM    = "orevent";
    public final static String EPROD_ELEM   = "then";
    public final static String ID_ELEM      = "noevent";
    public final static String POWER_ELEM   = "repeat";
    public final static String GOTO_ELEM    = "goto";
    public final static String UIEVENT_ELEM = "do";


    // XML Attributes
    public final static String ID_ATTR     = "id";
    public final static String REF_ATTR    = "ref";
    public final static String EVENT_ATTR  = "event";
    public final static String TO_ATTR     = "to";
    public final static String HREF_ATTR   = "href";
    public final static String TYPE_ATTR   = "type";
    public final static String EXP_ATTR    = "times";

}
