package org.uclic.maui.plugin;

import java.awt.Component;

/**
 * A plugin interface for MAUI.
 *
 */
public interface MAUIPlugin {

    public void init(MAUIBridge bridge);
    public void quit();
    
    public String getTitle();
    public String getTip();
    public Component getComponent();

    public void mauiDesignLoaded();
    public void mauiTitleChanged();
    public void mauiModelChanged();
    public void mauiElementRenamed();
    public void mauiSpecificationChanged();

}
